#language: ru

@financial_results

Функционал: 003. financial_results. Поступление товаров и услуг

Сценарий: 003.1. financial_results. Создание поступления товаров и услуг 20.02.2021

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.003. ФинРез"
	Дано я удаляю объекты "Справочники.к2СерииНоменклатуры" без контроля ссылок
	Дано я удаляю объекты "Документы.ПоступлениеТоваровУслуг" без контроля ссылок
	И Я начинаю создавать поступление товаров на дату "20.02.2021"
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Дом молока'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Нижегородское молоко'
	И из выпадающего списка "Организация" я выбираю по строке 'ТД_Молочный мир'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Статус" я выбираю точное значение 'Подтверждено'
	И в поле 'Номер вх.' я ввожу текст '1'
	И я перехожу к закладке "Факт"
	И я заполняю таблицу "Товары" данными
		| 'Номенклатура' | 'Количество' | 'Цена, RUB' |
		| 'Молоко 3,2 %' | '20,000'     | '34,00'     |
		| 'Молоко 2,5 %' | '15,000'     | '31,00'     |
		| 'Кефир'        | '30,000'     | '32,00'     |
		| 'Творог'       | '28,000'     | '85,00'     |
	И Я создаю в поступлении товаров для номенклатуры "Молоко 3,2 %" серию "000001" с датой выпуска "20.02.2021" и окончанием срока годности "06.03.2021"
	И Я создаю в поступлении товаров для номенклатуры "Молоко 2,5 %" серию "000001" с датой выпуска "20.02.2021" и окончанием срока годности "06.03.2021"
	И Я создаю в поступлении товаров для номенклатуры "Кефир" серию "000001" с датой выпуска "20.02.2021" и окончанием срока годности "06.03.2021"
	И Я создаю в поступлении товаров для номенклатуры "Творог" серию "000001" с датой выпуска "20.02.2021" и окончанием срока годности "06.03.2021"
	И в поле 'Комментарий' я ввожу текст 'ПоступлениеНижегородскоеМолоко20022021'
	* Проверка заполнения поступления
		И элемент формы с именем "Соглашение" стал равен 'Соглашение с Нижегородским молоком с 01.01.2021'
		И элемент формы с именем "Заказ" стал равен ''
		И элемент формы с именем "ТочкаДоставки" стал равен ''
		И элемент формы с именем "Холдинг" стал равен 'Дом молока'
		И элемент формы с именем "Контрагент" стал равен 'Нижегородское молоко'
		И элемент формы с именем "Склад" стал равен 'Склад готовой продукции'
		И элемент формы с именем "Ячейка" стал равен ''
		И элемент формы с именем "ДатаДоставки" стал равен '20.02.2021'
		И элемент формы с именем "ФактическаяДатаПоставки" стал равен '20.02.2021'
		И элемент формы с именем "Статус" стал равен 'Подтверждено'
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен ''
		И элемент формы с именем "Дата" стал равен '20.02.2021  0:00:00'
		И элемент формы с именем "НомерПоДаннымКлиента" стал равен '1'
		И элемент формы с именем "ДатаПоДаннымКлиента" стал равен '20.02.2021'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
		И элемент формы с именем "ВидЦен" стал равен 'Цены: Нижегородское молоко'
		И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
		И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
		Тогда в таблице "ТоварыПлан" количество строк "равно" 0
		Тогда в таблице "ТоварыЗаявлено" количество строк "равно" 0
		И таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'Строка заявлено' | 'Всего, RUB' | 'НДС, RUB' | 'Вес, кг' | 'Это брак' |
			| '20,000'     | 'Молоко 3,2 %' | 'шт'  | '<не используются>' | '680,00'     | '000001 до 06.03.2021 0:00:00' | '20,000, шт'     | '34,00'     | '34,00'           | '20%'   | '<не выбрана>'    | '680,00'     | '113,33'   | '20'      | 'Нет'      |
			| '15,000'     | 'Молоко 2,5 %' | 'шт'  | '<не используются>' | '465,00'     | '000001 до 06.03.2021 0:00:00' | '15,000, шт'     | '31,00'     | '31,00'           | '20%'   | '<не выбрана>'    | '465,00'     | '77,50'    | '15'      | 'Нет'      |
			| '30,000'     | 'Кефир'        | 'шт'  | '<не используются>' | '960,00'     | '000001 до 06.03.2021 0:00:00' | '30,000, шт'     | '32,00'     | '32,00'           | '20%'   | '<не выбрана>'    | '960,00'     | '160,00'   | '30'      | 'Нет'      |
			| '28,000'     | 'Творог'       | 'шт'  | '<не используются>' | '2 380,00'   | '000001 до 06.03.2021 0:00:00' | '28,000, шт'     | '85,00'     | '85,00'           | '20%'   | '<не выбрана>'    | '2 380,00'   | '396,67'   | '28'      | 'Нет'      |
		И элемент формы с именем "ОтнестиУслугиВСебестоимость" стал равен 'Нет'
		Тогда в таблице "Услуги" количество строк "равно" 0
		И элемент формы с именем "ВернутьМногооборотнуюТару" стал равен 'Нет'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "ПравилоУчетаОпераций" стал равен ''
		И элемент формы с именем "АктРасхождений" стал равен ''
		И элемент формы с именем "Комментарий" стал равен 'ПоступлениеНижегородскоеМолоко20022021'
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '747,50'
		И элемент формы с именем "СуммаДокумента" стал равен '4 485,00'
		И элемент формы с именем "ИтогоВес" стал равен '93,000'
	И Я заканчиваю создавать поступление товаров и услуг

Сценарий: 003.2. financial_results. Проверка движений поступления товаров и услуг 20.02.2021

	И Я проверяю движения поступления товаров и услуг "ПоступлениеНижегородскоеМолоко20022021"

Сценарий: 003.3. financial_results. Создание поступлений товаров и услуг 21.02.2021

	И Я начинаю создавать поступление товаров на дату "21.02.2021"
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Дом молока'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Нижегородское молоко'
	И из выпадающего списка "Организация" я выбираю по строке 'ТД_Молочный мир'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Статус" я выбираю точное значение 'Подтверждено'
	И в поле 'Номер вх.' я ввожу текст '1'
	И я перехожу к закладке "Факт"
	И я заполняю таблицу "Товары" данными
		| 'Номенклатура' | 'Количество' | 'Цена, RUB' |
		| 'Молоко 3,2 %' | '10,000'     | '36,00'     |
		| 'Молоко 2,5 %' | '10,000'     | '32,00'     |
	И Я создаю в поступлении товаров для номенклатуры "Молоко 3,2 %" серию "000001" с датой выпуска "21.02.2021" и окончанием срока годности "07.03.2021"
	И Я создаю в поступлении товаров для номенклатуры "Молоко 2,5 %" серию "000001" с датой выпуска "21.02.2021" и окончанием срока годности "07.03.2021"
	И в поле 'Комментарий' я ввожу текст 'ПоступлениеНижегородскоеМолоко21022021'
	* Проверка заполнения поступления
		И элемент формы с именем "Соглашение" стал равен 'Соглашение с Нижегородским молоком с 01.01.2021'
		И элемент формы с именем "Заказ" стал равен ''
		И элемент формы с именем "ТочкаДоставки" стал равен ''
		И элемент формы с именем "Холдинг" стал равен 'Дом молока'
		И элемент формы с именем "Контрагент" стал равен 'Нижегородское молоко'
		И элемент формы с именем "Склад" стал равен 'Склад готовой продукции'
		И элемент формы с именем "Ячейка" стал равен ''
		И элемент формы с именем "ДатаДоставки" стал равен '21.02.2021'
		И элемент формы с именем "ФактическаяДатаПоставки" стал равен '21.02.2021'
		И элемент формы с именем "Статус" стал равен 'Подтверждено'
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен ''
		И элемент формы с именем "Дата" стал равен '21.02.2021  0:00:00'
		И элемент формы с именем "НомерПоДаннымКлиента" стал равен '1'
		И элемент формы с именем "ДатаПоДаннымКлиента" стал равен '21.02.2021'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
		И элемент формы с именем "ВидЦен" стал равен 'Цены: Нижегородское молоко'
		И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
		И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
		Тогда в таблице "ТоварыПлан" количество строк "равно" 0
		Тогда в таблице "ТоварыЗаявлено" количество строк "равно" 0
		И таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'Строка заявлено' | 'Всего, RUB' | 'НДС, RUB' | 'Вес, кг' | 'Это брак' |
			| '10,000'     | 'Молоко 3,2 %' | 'шт'  | '<не используются>' | '360,00'     | '000001 до 07.03.2021 0:00:00' | '10,000, шт'     | '36,00'     | '36,00'           | '20%'   | '<не выбрана>'    | '360,00'     | '60,00'    | '10'      | 'Нет'      |
			| '10,000'     | 'Молоко 2,5 %' | 'шт'  | '<не используются>' | '320,00'     | '000001 до 07.03.2021 0:00:00' | '10,000, шт'     | '32,00'     | '32,00'           | '20%'   | '<не выбрана>'    | '320,00'     | '53,33'    | '10'      | 'Нет'      |
		И элемент формы с именем "ОтнестиУслугиВСебестоимость" стал равен 'Нет'
		Тогда в таблице "Услуги" количество строк "равно" 0
		И элемент формы с именем "ВернутьМногооборотнуюТару" стал равен 'Нет'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "ПравилоУчетаОпераций" стал равен ''
		И элемент формы с именем "АктРасхождений" стал равен ''
		И элемент формы с именем "Комментарий" стал равен 'ПоступлениеНижегородскоеМолоко21022021'
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '113,33'
		И элемент формы с именем "СуммаДокумента" стал равен '680,00'
		И элемент формы с именем "ИтогоВес" стал равен '20,000'
	И Я заканчиваю создавать поступление товаров и услуг

Сценарий: 003.4. financial_results. Проверка движений поступления товаров и услуг 21.02.2021

	И Я проверяю движения поступления товаров и услуг "ПоступлениеНижегородскоеМолоко21022021"

Сценарий: 003.5. financial_results. Проверка вкладки Услуги для поступления товаров и услуг

	И Я начинаю создавать поступление товаров на дату "20.01.2021"
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Арендодатель'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Арендодатель'
	И из выпадающего списка "Организация" я выбираю по строке 'ТД_Молочный мир'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Статус" я выбираю точное значение 'Подтверждено'
	И в поле 'Номер вх.' я ввожу текст '1'
	И я перехожу к закладке "Услуги"
	* Добавление услуги
		И в таблице "Услуги" я нажимаю на кнопку с именем 'УслугиДобавить'
		И в таблице "Услуги" из выпадающего списка с именем "УслугиНоменклатура" я выбираю по строке 'Аренда'
		И в таблице "Услуги" в поле с именем 'УслугиКоличество' я ввожу текст '10,000'
		И в таблице "Услуги" в поле с именем 'УслугиЦена' я ввожу текст '400,00'
		И в таблице "Услуги" из выпадающего списка с именем "УслугиСтатьяЗатрат" я выбираю по строке 'Аренда'
		И в таблице "Услуги" из выпадающего списка с именем "УслугиАналитикаЗатрат" я выбираю по строке 'Творог'
		И в таблице "Услуги" из выпадающего списка с именем "УслугиПодразделение" я выбираю по строке 'Склад'
		И в таблице "Услуги" из выпадающего списка с именем "УслугиНаправлениеДеятельности" я выбираю по строке 'Основное направление'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '10,000'     | 'Аренда'       | 'шт'  | '400,00'    | '400,00'               | '4 000,00'   | '20%'   | '666,67'   | 'Творог'           | '4 000,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '666,67'
		И элемент формы с именем "СуммаДокумента" стал равен '4 000,00'
		И элемент формы с именем "ИтогоВес" стал равен '0,000'
	* Отнести услуги в Себестоимость
		И я устанавливаю флаг с именем 'ОтнестиУслугиВСебестоимость'
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' |
			| '10,000'     | 'Аренда'       | 'шт'  | '400,00'    | '400,00'               | '4 000,00'   | '20%'   | '666,67'   | '4 000,00'   |
		И я снимаю флаг с именем 'ОтнестиУслугиВСебестоимость'
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '10,000'     | 'Аренда'       | 'шт'  | '400,00'    | '400,00'               | '4 000,00'   | '20%'   | '666,67'   | 'Творог'           | '4 000,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
	* Проверка копирования Услуги
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура' |
			| 'Аренда'       |
		И я выбираю пункт контекстного меню с именем 'УслугиКонтекстноеМенюСкопировать' на элементе формы с именем "Услуги"
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '10,000'     | 'Аренда'       | 'шт'  | '400,00'    | '400,00'               | '4 000,00'   | '20%'   | '666,67'   | 'Творог'           | '4 000,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
			| '10,000'     | 'Аренда'       | 'шт'  | '400,00'    | '400,00'               | '4 000,00'   | '20%'   | '666,67'   | 'Творог'           | '4 000,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '1 333,33'
		И элемент формы с именем "СуммаДокумента" стал равен '8 000,00'
		И элемент формы с именем "ИтогоВес" стал равен '0,000'
	* Удаление услуги
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура' |
			| 'Аренда'       |
		И я выбираю пункт контекстного меню с именем 'УслугиКонтекстноеМенюУдалить' на элементе формы с именем "Услуги"
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '10,000'     | 'Аренда'       | 'шт'  | '400,00'    | '400,00'               | '4 000,00'   | '20%'   | '666,67'   | 'Творог'           | '4 000,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '666,67'
		И элемент формы с именем "СуммаДокумента" стал равен '4 000,00'
		И элемент формы с именем "ИтогоВес" стал равен '0,000'
	* Изменение количества
		И в таблице "Услуги" в поле с именем 'УслугиКоличество' я ввожу текст '15,000'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '15,000'     | 'Аренда'       | 'шт'  | '400,00'    | '400,00'               | '6 000,00'   | '20%'   | '1 000,00' | 'Творог'           | '6 000,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '1 000,00'
		И элемент формы с именем "СуммаДокумента" стал равен '6 000,00'
		И элемент формы с именем "ИтогоВес" стал равен '0,000'
	* Изменение цены
		И в таблице "Услуги" в поле с именем 'УслугиЦена' я ввожу текст '500,00'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '15,000'     | 'Аренда'       | 'шт'  | '500,00'    | '500,00'               | '7 500,00'   | '20%'   | '1 250,00' | 'Творог'           | '7 500,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '1 250,00'
		И элемент формы с именем "СуммаДокумента" стал равен '7 500,00'
		И элемент формы с именем "ИтогоВес" стал равен '0,000'
	* Изменение ставки НДС
		И в таблице "Услуги" из выпадающего списка с именем "УслугиСтавкаНДС" я выбираю точное значение '10%'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '15,000'     | 'Аренда'       | 'шт'  | '500,00'    | '500,00'               | '7 500,00'   | '10%'   | '681,82'   | 'Творог'           | '7 500,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '681,82'
		И элемент формы с именем "СуммаДокумента" стал равен '7 500,00'
		И элемент формы с именем "ИтогоВес" стал равен '0,000'
	* Изменение статьи затрат
		И в таблице "Услуги" из выпадающего списка с именем "УслугиСтатьяЗатрат" я выбираю по строке 'З/П Водитель'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '15,000'     | 'Аренда'       | 'шт'  | '500,00'    | '500,00'               | '7 500,00'   | '10%'   | '681,82'   | ''                 | '7 500,00'   | 'З/П Водитель'  | 'Склад'         | 'Основное направление'     |
	* Выбор аналитики затрат
		И в таблице "Услуги" из выпадающего списка с именем "УслугиАналитикаЗатрат" я выбираю по строке 'Сергеев Л.Н.'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '15,000'     | 'Аренда'       | 'шт'  | '500,00'    | '500,00'               | '7 500,00'   | '10%'   | '681,82'   | 'Сергеев Л.Н.'     | '7 500,00'   | 'З/П Водитель'  | 'Склад'         | 'Основное направление'     |
	* Изменение Подразделения
		И в таблице "Услуги" из выпадающего списка с именем "УслугиПодразделение" я выбираю по строке 'Транспортная логистика'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение'          | 'Направление деятельности' |
			| '15,000'     | 'Аренда'       | 'шт'  | '500,00'    | '500,00'               | '7 500,00'   | '10%'   | '681,82'   | 'Сергеев Л.Н.'     | '7 500,00'   | 'З/П Водитель'  | 'Транспортная логистика' | 'Основное направление'     |
	* Изменение направления деятельности
		И в таблице "Услуги" из выпадающего списка с именем "УслугиНаправлениеДеятельности" я выбираю по строке 'Новое направление деятельности'
		И в таблице "Услуги" я завершаю редактирование строки
		Тогда таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение'          | 'Направление деятельности'       |
			| '15,000'     | 'Аренда'       | 'шт'  | '500,00'    | '500,00'               | '7 500,00'   | '10%'   | '681,82'   | 'Сергеев Л.Н.'     | '7 500,00'   | 'З/П Водитель'  | 'Транспортная логистика' | 'Новое направление деятельности' |
	* Закрытие поступления без сохранения
		И Я закрываю окно 'Поступление товаров и услуг (создание) *'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Нет'
		Тогда открылось окно 'Поступления товаров и услуг'
		И Я закрываю окно 'Поступления товаров и услуг'

Сценарий: 003.6. financial_results. Создание поступлений товаров и услуг 20.02.2021 - Аренда

	И Я начинаю создавать поступление товаров на дату "20.02.2021"
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Арендодатель'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Арендодатель'
	И из выпадающего списка "Организация" я выбираю по строке 'ТД_Молочный мир'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Статус" я выбираю точное значение 'Подтверждено'
	И в поле 'Номер вх.' я ввожу текст '1'
	И я перехожу к закладке "Услуги"
	И я заполняю таблицу "Услуги" данными
		| 'Номенклатура' | 'Количество' | 'Цена, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
		| 'Аренда'       | '2,000'      | '500,00'    | 'Аренда'        | 'Склад'         | 'Основное направление'     |
	И в поле 'Комментарий' я ввожу текст 'ПоступлениеАрендодатель20022021'
	* Проверка заполнения поступления
		И элемент формы с именем "Соглашение" стал равен 'Соглашение с Арендодателем с 01.01.2021'
		И элемент формы с именем "Заказ" стал равен ''
		И элемент формы с именем "ТочкаДоставки" стал равен ''
		И элемент формы с именем "Холдинг" стал равен 'Арендодатель'
		И элемент формы с именем "Контрагент" стал равен 'Арендодатель'
		И элемент формы с именем "Склад" стал равен 'Склад готовой продукции'
		И элемент формы с именем "Ячейка" стал равен ''
		И элемент формы с именем "ДатаДоставки" стал равен '20.02.2021'
		И элемент формы с именем "ФактическаяДатаПоставки" стал равен '20.02.2021'
		И элемент формы с именем "Статус" стал равен 'Подтверждено'
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен ''
		И элемент формы с именем "Дата" стал равен '20.02.2021  0:00:00'
		И элемент формы с именем "НомерПоДаннымКлиента" стал равен '1'
		И элемент формы с именем "ДатаПоДаннымКлиента" стал равен '20.02.2021'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
		И элемент формы с именем "ВидЦен" стал равен 'Цена поставщика Арендодатель'
		И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
		И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
		Тогда в таблице "ТоварыПлан" количество строк "равно" 0
		Тогда в таблице "ТоварыЗаявлено" количество строк "равно" 0
		Тогда в таблице "Товары" количество строк "равно" 0
		И элемент формы с именем "ОтнестиУслугиВСебестоимость" стал равен 'Нет'
		И таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | '% НДС' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '2,000'      | 'Аренда'       | 'шт'  | '500,00'    | '500,00'               | '1 000,00'   | '20%'   | '166,67'   | ''                 | '1 000,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
		И элемент формы с именем "ВернутьМногооборотнуюТару" стал равен 'Нет'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "ПравилоУчетаОпераций" стал равен ''
		И элемент формы с именем "АктРасхождений" стал равен ''
		И элемент формы с именем "Комментарий" стал равен 'ПоступлениеАрендодатель20022021'
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "СуммаНДС" стал равен '166,67'
		И элемент формы с именем "СуммаДокумента" стал равен '1 000,00'
		И элемент формы с именем "ИтогоВес" стал равен '0,000'
	И Я заканчиваю создавать поступление товаров и услуг

Сценарий: 003.7. financial_results. Проверка движения поступления товаров и услуг 20.02.2021 - Аренда

	И Я проверяю движения поступления товаров и услуг "ПоступлениеАрендодатель20022021"

Сценарий: 003.8. financial_results. Корректировка поступления товаров и услуг 20.02.2021 - Аренда

	Дано я удаляю объекты "Документы.КорректировкаПоступления" без контроля ссылок
	И Я начинаю создавать корректировку по поступлению "ПоступлениеАрендодатель20022021"
	* Проверка заполненных значений
		И элемент формы с именем "ВидКорректировки" стал равен 'Исправление ошибок'
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен ''
		И элемент формы с именем "Холдинг" стал равен 'Арендодатель'
		И элемент формы с именем "Поставщик" стал равен 'Арендодатель'
		И элемент формы с именем "ТочкаДоставки" стал равен ''
		И элемент формы с именем "Соглашение" стал равен 'Соглашение с Арендодателем с 01.01.2021'
		И элемент формы с именем "Склад" стал равен 'Склад готовой продукции'
		И элемент формы с именем "Валюта" стал равен 'RUB'
		И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
		И элемент формы с именем "ВидЦен" стал равен 'Цена поставщика Арендодатель'
		И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
		И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
		Тогда в таблице "Товары" количество строк "равно" 0
		И элемент формы с именем "ОтнестиУслугиВСебестоимость" стал равен 'Нет'
		И таблица "Услуги" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | '% НДС' | 'Цена, RUB' | 'Цена со скидкой, RUB' | 'Сумма, RUB' | 'НДС, RUB' | 'Аналитика затрат' | 'Всего, RUB' | 'Статья затрат' | 'Подразделение' | 'Направление деятельности' |
			| '2,000'      | 'Аренда'       | 'шт'  | '20%'   | '500,00'    | '500,00'               | '1 000,00'   | '166,67'   | ''                 | '1 000,00'   | 'Аренда'        | 'Склад'         | 'Основное направление'     |
		Тогда в таблице "Расхождения" количество строк "равно" 0
		Тогда в таблице "РасхождениеУслуг" количество строк "равно" 0
		И элемент формы с именем "ВернутьМногооборотнуюТару" стал равен 'Нет'
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "ИтогСуммаСНДСУвеличение" стал равен '0,00'
		И элемент формы с именем "ИтогСуммаНДСУвеличение" стал равен '0,00'
		И элемент формы с именем "ИтогСуммаСНДСУменьшение" стал равен '0,00'
		И элемент формы с именем "ИтогСуммаНДСУменьшение" стал равен '0,00'
		И элемент формы с именем "СуммаДокумента" стал равен '1 000,00'
		И элемент формы с именем "СуммаНДС" стал равен '166,67'
		И элемент формы с именем "Вес" стал равен '0,000'
	* Заполнение даты и комментария
		И в поле 'Дата' я ввожу текст '20.02.2021  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'КорректировкаПоступленияАрендодатель20022021'
	* Изменение количества услуг и заполнение расхождений
		И я перехожу к закладке "Услуги"
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура' |
			| 'Аренда'       |
		И в таблице "Услуги" в поле с именем 'УслугиКоличество' я ввожу текст '1,000'
		И в таблице "Услуги" я завершаю редактирование строки
		И я перехожу к закладке "Расхождения"
		И в таблице "Расхождения" я нажимаю на кнопку 'Заполнить расхождения'
		Тогда таблица "РасхождениеУслуг" стала равной:
			| 'Количество' | 'Номенклатура' | 'Цена со скидкой' | '% НДС' | 'Причина' | 'Цена'   | 'Сумма'   | 'Сумма НДС' | 'Всего'   | 'Направление деятельности' | 'Подразделение' | 'Статья затрат' | 'Аналитика затрат' |
			| '-1,000'     | 'Аренда'       | '500,00'          | '20%'   | ''        | '500,00' | '-500,00' | '-83,34'    | '-500,00' | 'Основное направление'     | 'Склад'         | 'Аренда'        | ''                 |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "ИтогСуммаСНДСУвеличение" стал равен '0,00'
		И элемент формы с именем "ИтогСуммаНДСУвеличение" стал равен '0,00'
		И элемент формы с именем "ИтогСуммаСНДСУменьшение" стал равен '500,00'
		И элемент формы с именем "ИтогСуммаНДСУменьшение" стал равен '83,34'
		И элемент формы с именем "СуммаДокумента" стал равен '500,00'
		И элемент формы с именем "СуммаНДС" стал равен '83,33'
	* Изменение цены услуги и заполнение расхождений
		И я перехожу к закладке "Услуги"
		И в таблице "Услуги" я перехожу к строке:
			| 'Номенклатура' |
			| 'Аренда'       |
		И в таблице "Услуги" в поле с именем 'УслугиЦена' я ввожу текст '400,00'
		И в таблице "Услуги" я завершаю редактирование строки
		И я перехожу к закладке "Расхождения"
		И в таблице "Расхождения" я нажимаю на кнопку 'Заполнить расхождения'
		Тогда таблица "РасхождениеУслуг" стала равной:
			| 'Количество' | 'Номенклатура' | 'Цена со скидкой' | '% НДС' | 'Причина' | 'Цена'   | 'Сумма'     | 'Сумма НДС' | 'Всего'     | 'Направление деятельности' | 'Подразделение' | 'Статья затрат' | 'Аналитика затрат' |
			| '1,000'      | 'Аренда'       | '400,00'          | '20%'   | ''        | '400,00' | '400,00'    | '66,67'     | '400,00'    | 'Основное направление'     | 'Склад'         | 'Аренда'        | ''                 |
			| '-2,000'     | 'Аренда'       | '500,00'          | '20%'   | ''        | '500,00' | '-1 000,00' | '-166,67'   | '-1 000,00' | 'Основное направление'     | 'Склад'         | 'Аренда'        | ''                 |
		И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
		И элемент формы с именем "СкидкаСумма" стал равен '0,00'
		И элемент формы с именем "ИтогСуммаСНДСУвеличение" стал равен '400,00'
		И элемент формы с именем "ИтогСуммаНДСУвеличение" стал равен '66,67'
		И элемент формы с именем "ИтогСуммаСНДСУменьшение" стал равен '1 000,00'
		И элемент формы с именем "ИтогСуммаНДСУменьшение" стал равен '166,67'
		И элемент формы с именем "СуммаДокумента" стал равен '400,00'
		И элемент формы с именем "СуммаНДС" стал равен '66,67'
	И Я заканчиваю создавать корректировку по поступлению

Сценарий: 003.9. financial_results. Проверка движения корректировки поступления товаров и услуг 20.02.2021 - Аренда

	И Я проверяю движения корректировки поступления товаров и услуг "КорректировкаПоступленияАрендодатель20022021"